Package org.apache.lucene.search.suggest.analyzing

# Class FSTUtil

java.lang.Object
org.apache.lucene.search.suggest.analyzing.FSTUtil

public class FSTUtil extends Object
Exposes a utility method to enumerate all paths intersecting an `Automaton` with an `FST`.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final record`
  `FSTUtil.Path<T>`
  Holds a pair (automaton, fst) of states and accumulated output in the intersected machine.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static <T> List<FSTUtil.Path<T>>`
  `intersectPrefixPaths(Automaton a, FST<T> fst)`
  Enumerates all minimal prefix paths in the automaton that also intersect the FST, accumulating the FST end node and output for each path.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### intersectPrefixPaths

    public static <T> List<FSTUtil.Path<T>> intersectPrefixPaths(Automaton a, FST<T> fst) throws IOException
    Enumerates all minimal prefix paths in the automaton that also intersect the FST, accumulating the FST end node and output for each path.
    Throws:
      `IOException`